Support » Installation » failed to open stream

  • Hallo Leute!

    Seit heute bekomme ich diese meldung beim Aufruf unserer Seite!

    Warning: require(/homepages/16/d193413194/htdocs/clickandbuilds/XXXXXXX/wp-includes/user.php): failed to open stream: Permission denied in /homepages/16/d193413194/htdocs/clickandbuilds/XXXXXXX/wp-settings.php on line 177

    Fatal error: require(): Failed opening required ‚/homepages/16/d193413194/htdocs/clickandbuilds/XXXXXXX/wp-includes/user.php‘ (include_path=‘.:/usr/lib/php7.1′) in /homepages/16/d193413194/htdocs/clickandbuilds/XXXXX/wp-settings.php on line 177

    An was kann das liegen?

    Vielen Dank vorab für eure Hilfe!

    Kiwipe

Ansicht von 10 Antworten - 1 bis 10 (von insgesamt 10)
  • Hallo,
    teste doch mal, ob das Problem gelöst ist, wenn du die .htaccess in deinem Web-Stammverzeichnis löschst (Vorher bitte aber per FTP auf deinen lokalen Rechner kopieren). Gehe anschließend in Einstellungen > Permalinks und wähle eine URL-Struktur wie z. B. „Beitragsname“ oder die Struktur, die du vorher bereits eingestellt hattest, aus. Die .htaccess wird dabei neu erstellt.
    Viele Grüße,
    Hans-Gerd

    Hallo

    Leider kein Erfolg…. Ich denke es liegt an einem Update. Wenn ich eine Seite direkt aufrufe, beomme ich eine weiße Seite…. Da habe ich doch schon mal was gelesen… Leider komme ich auch nicht auf die Admin Seite (zeigt genau den gleichen Fehler)

    Und nun?

    Hallo,
    am besten gehst du folgendermaßen vor:

    1. Lade den Ordner plugins per FTP auf deinen lokalen Rechner.
    2. Benenne auf dem Server per FTP den Ordner plugins um in plugins.old.
    3. Dann legst du einen Ordner plugins wieder neu an.
    4. Jetzt testest du mal, ob du dich wieder anmelden kannst und auf das dashboard zugreifen kannst.
    5. Dann kopierst du aus dem Ordner plugins.old auf dem lokalen Rechner einzeln die jeweiligen Ordner wieder in den Ordner plugins auf dem Server.
    6. Nachdem du jeweils einen Ordner kopierst hast, testest du, ob die Seite funktioniert.
    7. Sollte es funktionieren, kopierst du den nächsten Ordner. Sollte es nicht funktionieren, löschst du den gerade kopierten Ordner wieder. Das ist dann das plugin, das Probleme macht.
    8. Danach setzt du den Vorgang (Schritt 5. – 7.) solange fort, bis du alle Ordner kopiert hast.

    Viele Grüße
    Hans-Gerd

    Habe ich gemacht…Hat leider nichts geholfen…schnüff

    Ich weis nicht mehr weiter..

    Hiiiiilfeee

    Hallo,
    dann versuche doch mal das Gleiche mit dem Theme-Ordner. Den Themes-Ordner lädst du auf deinen lokalen Rechner. Lade dir das Standardtheme twenty twenty runter, entpacke das theme und lade das Theme in den Ordner themes. Alle anderen Themes solltest du vorher erst mal löschen. Vorher würde ich dafür sorgen, dass kein Plugin installiert ist, d. h. der Ordner plugins ist leer.
    Noch mal: Ich gehe davon aus, dass du den themes- und plugins-Ordner vorher auf jeden Fall auf deinem lokalen Rechner gesichert hast.
    Sollte das dann mit dem Standardtheme wieder funktionieren, dann liegt es wohl an deinem Theme.
    Viele Grüße,
    Hans-Gerd

    Permission denied

    Das hört sich für mich eher so an, als wenn das Verzeichnis wp-includes oder die Datei user.php die falschen Dateirechte hat und darauf nicht zugegriffen werden kann.

    Aber auch das kann man testen:
    1. Kopiere alles per FTP auf deinen Rechner
    2. Lösche alles auf dem Server
    3. Kopiere alles per FTP von deinem Rechner auf den Server

    Eine vernünftige Datensicherung setze ich dabei voraus.

    Ich glaube auch, dass die dateirechtte nicht stimmen. Ich habe sie per FTp ändern können und ganz kurz konnte ich zumindest auf die admin seite. Aber dann war es wieder wie vorher…Ich blicks nicht…

    ok…wenn ich die user.php mit den Rechten „777“ versehe, sehe ich die Seite. Aber kurz darauf ist sie mit denm gleichen Fehler wieder nicht zu erreichen…
    Wenn ich dann die Rechte wieder auf „200“ setze gehts ned. Wenn ich dann wieder auf „777“ setze, dann gehts on vorne los…

    Irgendwelche Ideen?

    Und wenn ich ein dann ein Plugin auf dem Dashbord aktivieren möchte kommt folgendes…

    Warning: require(/homepages/16/d193413194/htdocs/clickandbuilds/XXXXX/wp-content/plugins/woocommerce/includes/wc-user-functions.php): failed to open stream: Permission denied in /homepages/16/d193413194/htdocs/clickandbuilds/XXXX/wp-content/plugins/woocommerce/includes/wc-core-functions.php on line 20

    Fatal error: require(): Failed opening required ‚/homepages/16/d193413194/htdocs/clickandbuilds/XXXX/wp-content/plugins/woocommerce/includes/wc-user-functions.php‘ (include_path=‘.:/usr/lib/php7.1′) in /homepages/16/d193413194/htdocs/clickandbuilds/XXXXX/wp-content/plugins/woocommerce/includes/wc-core-functions.php on line 20

    PHP-Version ist (noch) 7.1…Hat es evtl damit zu tun?

    Die WordPress-Dateien müssen auf 644, die Verzeichnisse auf 755 gesetzt werden und dem Benutzer zugewiesen sein, der PHP-Befehle ausführen darf. Mehr dazu siehe hier

Ansicht von 10 Antworten - 1 bis 10 (von insgesamt 10)